PersistedDestination (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.persistence.config

## Class PersistedDestination

- java.lang.Object
- - org.apache.activemq.artemis.jms.persistence.config.PersistedDestination

- All Implemented Interfaces:
    org.apache.activemq.artemis.core.journal.EncodingSupport

      public class PersistedDestination
      extends Object
      implements org.apache.activemq.artemis.core.journal.EncodingSupport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistedDestination()`
    `PersistedDestination(PersistedType type, String name)`
    `PersistedDestination(PersistedType type, String name, String selector, boolean durable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(ActiveMQBuffer buffer)`
    `void` | `encode(ActiveMQBuffer buffer)`
    `int` | `getEncodeSize()`
    `long` | `getId()`
    `String` | `getName()`
    `String` | `getSelector()`
    `PersistedType` | `getType()`
    `boolean` | `isDurable()`
    `void` | `setId(long id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistedDestination

          public PersistedDestination()

    - #### PersistedDestination

          public PersistedDestination(PersistedType type,
                                      String name)

    - #### PersistedDestination

          public PersistedDestination(PersistedType type,
                                      String name,
                                      String selector,
                                      boolean durable)

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getName

          public String getName()

    - #### getType

          public PersistedType getType()

    - #### getSelector

          public String getSelector()

    - #### isDurable

          public boolean isDurable()

    - #### getEncodeSize

          public int getEncodeSize()

      Specified by:
        `getEncodeSize` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### encode

          public void encode(ActiveMQBuffer buffer)

      Specified by:
        `encode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### decode

          public void decode(ActiveMQBuffer buffer)

      Specified by:
        `decode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

Copyright © 2015. All rights reserved.